Bug 18274 - C4::Items - Remove GetItemStatus
Summary: C4::Items - Remove GetItemStatus
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on: 13423
Blocks: 18252 18278
  Show dependency treegraph
 
Reported: 2017-03-15 16:27 UTC by Jonathan Druart
Modified: 2017-12-07 22:15 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18274: C4::Items - Remove GetItemStatus (3.57 KB, patch)
2017-03-15 16:29 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18274: C4::Items - Remove GetItemStatus (3.71 KB, patch)
2017-03-15 18:30 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18274: C4::Items - Remove GetItemStatus (3.80 KB, patch)
2017-04-07 06:19 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-03-15 16:27:07 UTC
This subroutine is no longer in used.
It was previously call from serials/serials-recieve.pl, which was not used and has been removed by
    commit 65b7ad030cd5cd0e3148fbbd1496d31b5cf149f7
    Bug 13423: Remove unused serials-recieve
Comment 1 Jonathan Druart 2017-03-15 16:29:27 UTC
Created attachment 61107 [details] [review]
Bug 18274: C4::Items - Remove GetItemStatus

This subroutine is no longer in used.
It was previously call from serials/serials-recieve.pl, which was not used and has been removed by
    commit 65b7ad030cd5cd0e3148fbbd1496d31b5cf149f7
    Bug 13423: Remove unused serials-recieve

Test plan:
  git grep GetItemStatus
should not return any used calls (only 1 occurrence in release notes)
Comment 2 Marc Véron 2017-03-15 18:30:46 UTC
Created attachment 61116 [details] [review]
Bug 18274: C4::Items - Remove GetItemStatus

This subroutine is no longer in used.
It was previously call from serials/serials-recieve.pl, which was not used and has been removed by
    commit 65b7ad030cd5cd0e3148fbbd1496d31b5cf149f7
    Bug 13423: Remove unused serials-recieve

Test plan:
  git grep GetItemStatus
should not return any used calls (only 1 occurrence in release notes)

Signed-off-by: Marc Véron <veron@veron.ch>
Comment 3 Marcel de Rooy 2017-04-07 06:19:48 UTC
Created attachment 61957 [details] [review]
Bug 18274: C4::Items - Remove GetItemStatus

This subroutine is no longer in used.
It was previously call from serials/serials-recieve.pl, which was not used and has been removed by
    commit 65b7ad030cd5cd0e3148fbbd1496d31b5cf149f7
    Bug 13423: Remove unused serials-recieve

Test plan:
  git grep GetItemStatus
should not return any used calls (only 1 occurrence in release notes)

Signed-off-by: Marc Véron <veron@veron.ch>
Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Kyle M Hall 2017-04-13 12:51:51 UTC
Pushed to master for 17.05, thanks Jonathan!
Comment 5 Katrin Fischer 2017-04-16 12:24:21 UTC
This won't get ported back to 16.11.x as it is an enhancement.